import { geoEqualEarth, geoPath } from 'd3';

const projection = d3.geoNaturalEarth1();
const pathFunction = d3.geoPath(projection);
// console.log
export const Marks = ({
  data: { land, interiors },
}) => {
  const lineFn = () =>
    line()
      .x((d) => xScale(xValue(d)))
      .y((d) => yScale(yValue(d)));
  return (
    <g className="marks">


      {land.features.map((feature) => {
        return (
          <path
            className="country"
            d={pathFunction(feature)}
          />
        );
      })}
    </g>
  );
};
